% \file{locale/fithesis-english.def}
% This is the base file of the English locale.\iffalse
%<*base>
% \fi\begin{macrocode}
\ProvidesFile{fithesis/locale/fithesis-english.def}[2021/02/26]
%    \end{macrocode}
% The locale file defines all the private macros mandated by the
% locale file interface.
% \begin{macrocode}

% Placeholders
\gdef\thesis@english@universityName{University name}
\gdef\thesis@english@facultyName{Faculty name}
%    \end{macrocode}
% \changes{v0.3.47}{2017/07/09}{Moved the \cs{ifthesis@digital}
%   tests from \texttt{locale/*.def} to \texttt{locale/mu/*.def},
%   since \cs{ifthesis@digital} is undefined in
%   \texttt{fithesis3.cls}. [VN]}
%    \begin{macrocode}
\gdef\thesis@english@assignment{%
  This is where a copy of the official signed thesis assignment
  is located in the printed version of the document.}
\gdef\thesis@english@declaration{Declaration text ...}

% Csquotes style
\gdef\thesis@english@csquotesStyle{english}

% Time strings
\gdef\thesis@english@spring{Spring}
\gdef\thesis@english@fall{Fall}
\gdef\thesis@english@semester{%
  \thesis@{english@\thesis@season} \thesis@seasonYear}
\gdef\thesis@english@formattedDate{{%
  \thesis@day.
  \newcount\@month\expandafter\@month\thesis@month\relax
  \ifnum\@month=1%
    January
  \else\ifnum\@month=2%
    February
  \else\ifnum\@month=3%
    March
  \else\ifnum\@month=4%
    April
  \else\ifnum\@month=5%
    May
  \else\ifnum\@month=6%
    June
  \else\ifnum\@month=7%
    July
  \else\ifnum\@month=8%
    August
  \else\ifnum\@month=9%
    September
  \else\ifnum\@month=10%
    October
  \else\ifnum\@month=11%
    November
  \else\ifnum\@month=12%
    December
  \else
    <<unknown month (\the\@month)>>
  \fi\fi\fi\fi\fi\fi
  \fi\fi\fi\fi\fi\fi
  \thesis@year}}

%    \end{macrocode}
% \changes{v1.0.0}{2021/03/11}{Added title for summary. [TV]}
%    \begin{macrocode}
% Miscellaneous
\gdef\thesis@english@authorSignature{Author's signature}
%    \end{macrocode}
% \changes{v1.0.0}{2021/02/26}{Lifted the \texttt{advisorSignature}
%   string to the global locale file interface. [VN]}
% \begin{macrocode}
\gdef\thesis@english@advisorSignature{Signature of Thesis
  \thesis@english@advisorTitle}
\gdef\thesis@english@fieldTitle{Field of Study}
\gdef\thesis@english@advisorTitle{Advisor}
\gdef\thesis@english@authorTitle{Author}
\gdef\thesis@english@abstractTitle{Abstract}
\gdef\thesis@english@keywordsTitle{Keywords}
%    \end{macrocode}
% \changes{v0.3.48}{2017/09/08}{Changed
%   \cs{thesis@english@thanksTitle} to plural. [VN]}
%    \begin{macrocode}
\gdef\thesis@english@thanksTitle{Acknowledgements}
\gdef\thesis@english@declarationTitle{Declaration}
\gdef\thesis@english@summaryTitle{Summary}
\gdef\thesis@english@idTitle{ID}
\gdef\thesis@english@typeName@sempaper{Seminar Paper}
\gdef\thesis@english@typeName@bachelors{Bachelor's Thesis}
\gdef\thesis@english@typeName@masters{Master's Thesis}
\gdef\thesis@english@typeName@proposal{Thesis Proposal}
\gdef\thesis@english@typeName@doctoral{Doctoral Thesis}
\gdef\thesis@english@typeName@rigorous{Advanced Master's Thesis}
\gdef\thesis@english@typeName{%
  \ifx\thesis@type\thesis@sempaper
    \thesis@english@typeName@sempaper
  \else\ifx\thesis@type\thesis@bachelors
    \thesis@english@typeName@bachelors
  \else\ifx\thesis@type\thesis@masters
    \thesis@english@typeName@masters
  \else\ifx\thesis@type\thesis@proposal
    \thesis@english@typeName@proposal
  \else\ifx\thesis@type\thesis@doctoral
    \thesis@english@typeName@doctoral
  \else\ifx\thesis@type\thesis@rigorous
    \thesis@english@typeName@rigorous
  \else
    <<Unknown thesis type (\thesis@type)>>%
  \fi\fi\fi\fi\fi\fi}
%    \end{macrocode}\iffalse
%</base>
% \fi\file{locale/mu/fithesis-english.def}
% This is the English locale file specific to the Masaryk
% University in Brno. It replaces the \texttt{universityName}
% placeholder with the correct value and defines the
% \texttt{declaration} and \texttt{idTitle} strings.
% \iffalse
%<*mu>
% \fi\begin{macrocode}
\ProvidesFile{fithesis/locale/mu/fithesis-english.def}[2017/07/09]
\gdef\thesis@english@universityName{Masaryk University}
\gdef\thesis@english@declaration{%
  Hereby I declare that this paper is my original authorial work,
  which I have worked out on my own. All sources, references, and
  literature used or excerpted during elaboration of this work are
  properly cited and listed in complete reference to the due source.}

% Placeholders
%    \end{macrocode}
% \changes{v0.3.47}{2017/07/09}{Moved the \cs{ifthesis@digital}
%   tests from \texttt{locale/*.def} to \texttt{locale/mu/*.def},
%   since \cs{ifthesis@digital} is undefined in
%   \texttt{fithesis3.cls}. [VN]}
%    \begin{macrocode}
\gdef\thesis@english@assignment{%
  \ifthesis@digital@
  \else
  \fi}
%    \end{macrocode}
% \changes{v0.3.47}{2017/07/09}{Moved the \cs{ifthesis@digital}
%   tests from \texttt{locale/*.def} to \texttt{locale/mu/*.def},
%   since \cs{ifthesis@digital} is undefined in
%   \texttt{fithesis3.cls}. [VN]}
% \changes{v0.3.47}{2017/07/09}{Added an
% \cs{ifthesis@blocks@assignment@hideIfDigital@} test to the
% definition of the \texttt{assignment} string for the Masaryk
% University in Brno. [VN]}
%    \begin{macrocode}
\gdef\thesis@english@assignment{%
  \ifthesis@blocks@assignment@hideIfDigital@
    \ifthesis@digital@
      This is where a copy of the official signed thesis assignment
      is located in the printed version of the document.
    \else
      Replace this page with a copy of the official signed thesis
      assignment.
    \fi
  \else
    Set the PDF document containing the official signed thesis
    assignment using the <<assignment>> key.
  \fi}

% Bibliographic entry
\gdef\thesis@english@bib@title{Bibliographic record}
\gdef\thesis@english@bib@pages{p}
%    \end{macrocode}
% \changes{v0.3.46}{2017/06/02}{Lifted the \texttt{bib@author},
%   \texttt{bib@thesisTitle}, and \texttt{bib@advisor} strings from
%   \texttt{locale/mu/sci/*.def} to \texttt{locale/mu/*.def},
%   so that they can be shared with \texttt{locale/mu/econ/*.def}.
%   [VN]}
%    \begin{macrocode}
\global\let\thesis@english@bib@author\thesis@english@authorTitle
\gdef\thesis@english@bib@thesisTitle{Title of Thesis}
\gdef\thesis@english@bib@advisor{Supervisor}
%    \end{macrocode}
% \changes{v1.0.0}{2021/03/04}{Lifted the \texttt{bib@programme},
%   \texttt{bib@academicYear}, and \texttt{bib@pages} strings from
%   \texttt{locale/mu/sci/*.def} to \texttt{locale/mu/*.def},
%   so that they can be shared with other faculties. [TV]}
%    \begin{macrocode}
\gdef\thesis@english@bib@programme{Degree Programme}
\global\let\thesis@english@bib@field\thesis@english@fieldTitle
\gdef\thesis@english@bib@academicYear{Academic Year}
\gdef\thesis@english@bib@pages{Number of Pages}
\global\let\thesis@english@bib@keywords\thesis@english@keywordsTitle

% Miscellaneous
\gdef\thesis@english@idTitle{UČO}
%    \end{macrocode}\iffalse
%</mu>
% \fi\file{locale/mu/law/fithesis-english.def}
% This is the English locale file specific to the Faculty of Law at
% the Masaryk University in Brno. It replaces the
% \texttt{facultyName} placeholder with the correct value and
% defines the \texttt{facultyLongName} required by the
% |\thesis@blocks@cover| and the |\thesis@blocks@titlePage| blocks.
% \iffalse
%<*mu/law>
% \fi\begin{macrocode}
\ProvidesFile{fithesis/locale/mu/law/fithesis-english.def}[2015/06/26]
\gdef\thesis@english@facultyName{Faculty of Law}
\gdef\thesis@english@facultyLongName{The Faculty of Law of the
  Masaryk University}
%    \end{macrocode}\iffalse
%</mu/law>
% \fi\file{locale/mu/fsps/fithesis-english.def}
% This is the English locale file specific to the Faculty of Sports
% Studies at the Masaryk University in Brno. It replaces the
% \texttt{facultyName} placeholder with the correct value and
% redefines the \texttt{fieldTitle} string in accordance with the
% common usage at the faculty.
% \iffalse
%<*mu/fsps>
% \fi\begin{macrocode}
\ProvidesFile{fithesis/locale/mu/fsps/fithesis-english.def}[2017/06/02]

% Placeholders
\gdef\thesis@english@facultyName{Faculty of Sports Studies}

% Miscellaneous
\gdef\thesis@english@fieldTitle{Specialization}
%    \end{macrocode}\iffalse
%</mu/fsps>
% \fi\file{locale/mu/fss/fithesis-english.def}
% This is the English locale file specific to the Faculty of Social
% Studies at the Masaryk University in Brno. It replaces the
% \texttt{facultyName} and \texttt{assignment} strings with the
% correct values.
% \iffalse
%<*mu/fss>
% \fi\begin{macrocode}
\ProvidesFile{fithesis/locale/mu/fss/fithesis-english.def}[2016/05/25]

% Placeholders
\gdef\thesis@english@facultyName{Faculty of Social Studies}
\gdef\thesis@english@assignment{%
  \ifthesis@digital@
    This is where a copy of the official signed thesis assignment
    or a copy of the Statement of an Author or both are located
    in the printed version of the document.
  \else
    Replace this page with a copy of the official signed thesis
    assignment or a copy of the Statement of an Author or both,
    depending on the requirements of the respective department.
  \fi}
%    \end{macrocode}\iffalse
%</mu/fss>
% \fi\file{locale/mu/econ/fithesis-english.def}
% This is the English locale file specific to the Faculty of
% Economics and Administration at the Masaryk University in Brno.
% It replaces the \texttt{facultyName} and \texttt{abstractTitle}
% placeholders with the correct value. The locale file also defines
% the private macros required by the
% |\thesis@blocks@|\discretionary{}{}{}|bibEntry| block defined
% within the \texttt{style/mu/fithesis-econ.sty} style file.
% \iffalse
%<*mu/econ>
% \fi\begin{macrocode}
\ProvidesFile{fithesis/locale/mu/econ/fithesis-english.def}[2017/06/02]

% Placeholders
\gdef\thesis@english@facultyName{Faculty of Economics
  and Administration}

% Miscellaneous
%    \end{macrocode}
% \changes{v0.3.46}{2017/06/02}{Updated the
%   \cs{abstractTitle} string in \texttt{locale/mu/econ/*.def} in
%   accordance with the 2/2017 dean's directive. The patch was
%   submitted by Jana Ratajská. [VN]}
%    \begin{macrocode}
\gdef\thesis@english@abstractTitle{Annotation}
%    \end{macrocode}\iffalse
%</mu/econ>
% \fi\file{locale/mu/med/fithesis-english.def}
% This is the English locale file specific to the Faculty of
% Medicine at the Masaryk University in Brno.
% It replaces the \texttt{facultyName} placeholder with the
% correct value and redefines the \texttt{abstractTitle} string
% with the common usage at the faculty. The file also defines
% the \texttt{bib@title} and \texttt{bib@pages} strings required
% by the |\thesis@blocks@bibEntry| block defined within the
% \texttt{style/mu/\discretionary{}{}{}fithesis-med.sty}
% style file.
% \iffalse
%<*mu/med>
% \fi\begin{macrocode}
\ProvidesFile{fithesis/locale/mu/med/fithesis-english.def}[2016/03/23]

% Placeholders
\gdef\thesis@english@facultyName{Faculty of Medicine}

% Miscellaneous
\gdef\thesis@english@abstractTitle{Annotation}
%    \end{macrocode}\iffalse
%</mu/med>
% \fi\file{locale/mu/fi/fithesis-english.def}
% This is the English locale file specific to the Faculty of
% Informatics at the Masaryk University in Brno.  It replaces the
% \texttt{facultyName} placeholder with the correct value and
% redefines the string in accordance with the requirements of the
% faculty.
% \changes{v1.0.0}{2021/02/26}{Lifted the \texttt{advisorSignature}
%   string to the global locale file interface. [VN]}
% \iffalse
%<*mu/fi>
% \fi\begin{macrocode}
\ProvidesFile{fithesis/locale/mu/fi/fithesis-english.def}[2021/02/26]

% Placeholders
\gdef\thesis@english@facultyName{Faculty of Informatics}
\gdef\thesis@english@assignment{Replace this page with a copy
  of the official signed thesis assignment and a copy of the
  Statement of an Author.}
\gdef\thesis@english@assignment{%
  \ifthesis@digital@
    This is where a copy of the official signed thesis assignment
    and a copy of the Statement of an Author is located in the
    printed version of the document.
  \else
    Replace this page with a copy of the official signed thesis
    assignment and a copy of the Statement of an Author.
  \fi}

% Others
\gdef\thesis@english@typeName@proposal{Ph.D. Thesis Proposal}
%    \end{macrocode}\iffalse
%</mu/fi>
% \fi\file{locale/mu/phil/fithesis-english.def}
% This is the English locale file specific to the Faculty of
% Arts at the Masaryk University in Brno.
% It replaces the \texttt{facultyName} placeholder with the
% correct value. It also defines the \texttt{departmentName}
% string, which is used by the \texttt{style/mu/fithesis-phil^^A
% .sty} style file, when typesetting the names of known
% departments.
% \iffalse
%<*mu/phil>
% \fi\begin{macrocode}
\ProvidesFile{fithesis/locale/mu/phil/fithesis-english.def}[2016/03/22]
\gdef\thesis@english@facultyName{Faculty of Arts}
\gdef\thesis@english@departmentName{%
  \ifx\thesis@department\thesis@departments@kisk
    Division of Information and Library Studies%
  \else
    <<Unknown department (\thesis@department)>>%
  \fi}
%    \end{macrocode}\iffalse
%</mu/phil>
% \fi\file{locale/mu/ped/fithesis-english.def}
% This is the Slovak locale file specific to the Faculty of
% Education at the Masaryk University in Brno.  It replaces the
% \texttt{facultyName} placeholder with the correct value. The file
% also defines the \texttt{bib@title} and \texttt{bib@pages}
% strings required by the |\thesis@blocks@bibEntry| block defined
% within the
% \texttt{style/mu/\discretionary{}{}{}fithesis-ped.sty}
% style file.
% \iffalse
%<*mu/ped>
% \fi\begin{macrocode}
\ProvidesFile{fithesis/locale/mu/ped/fithesis-english.def}[2016/03/22]

% Placeholders
\gdef\thesis@english@facultyName{Faculty of Education}
%    \end{macrocode}\iffalse
%</mu/ped>
% \fi\file{locale/mu/sci/fithesis-english.def}
% This is the English locale file specific to the Faculty of
% Science at the Masaryk University in Brno.  It defines the
% private macros required by the |\thesis@blocks@bibEntryEn| block
% defined within the
% \texttt{style/mu/\discretionary{}{}{}fithesis-sci.sty}
% style file. It also replaces the \texttt{facultyName}
% placeholder with the correct value and redefines the
% \texttt{advisorTitle} string in accordance with the formal
% requirements of the faculty.
% \iffalse
%<*mu/sci>
% \fi\begin{macrocode}
\ProvidesFile{fithesis/locale/mu/sci/fithesis-english.def}[2017/06/02]

% Placeholders
\gdef\thesis@english@facultyName{Faculty of Science}

% Miscellaneous
\global\let\thesis@english@advisorTitleEn=\thesis@english@bib@advisor

%    \end{macrocode}\iffalse
%</mu/sci>
% \changes{v1.0.0}{2021/03/26}{Added specifics for the
%   Faculty of Pharmacy. [TV]}
% \fi\file{locale/mu/pharm/fithesis-english.def}
% This is the English locale file specific to the Faculty of Pharmacy
% at the Masaryk University in Brno.
% It replaces the \texttt{facultyName} placeholder with the
% correct value and redefines the \texttt{abstractTitle}
% in accordance with the guidelines of the faculty.
% \iffalse
%<*mu/pharm>
% \fi\begin{macrocode}
\ProvidesFile{fithesis/locale/mu/pharm/fithesis-english.def}[2021/03/26]

% Placeholders
\gdef\thesis@english@facultyName{Faculty of Pharmacy}

% Miscellaneous
\gdef\thesis@english@abstractTitle{Annotation}
%    \end{macrocode}\iffalse
%</mu/pharm>
% \fi
